MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004686ATutorSessionpublic2011-01-11 15:462012-06-12 14:56
Reporterharris 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionduplicate 
PlatformOSLinuxOS Version
Product Version2.0.2 
Target VersionFixed in Version 
Summary0004686: Login fails when session.auto_start is on in php.ini
DescriptionWhen session.auto_start is turned on in php.ini, ATutor fails to log in users.

When session.auto_start is on, PHP creates a session automatically on page load.

During login, ATutor authenticate user and save authentication info into into a session, let's call this session "ATutor_ID". Then, ATutor redirect users to "my start page" upon succeeded login. However, when "my start page" loads, as mention above, a new session is auto created by PHP, called "PHPSESSID". ATutor loads the session varialbes from PHPSESSID but couldn't find the authentication information, bounces user back to login screen.

It seems like our session_start() is ignored when session.auto_start is set.

A solution is to wrap session_start() with a condition,

if [session == created]
   $atutor_session = session;
else
   $atutor_session = session_start();
endif;
TagsNo tags attached.
Affects versionSVN
SVN Revision#NA
Attached Files

- Relationships
related to 0002787closeduser2 requirement 

-  Notes
(0004878)
harris (developer)
2011-01-11 15:49

Another solution is to add this to our requirement page:
http://atutor.ca/atutor/docs/requirements.php [^]

"PHP's session.auto_start must be off."
(0005330)
harris (developer)
2011-09-13 15:20

Same as 0002787, not going to fix.
(0005597)
greg (administrator)
2012-06-12 14:56

2.0.3 changes

- Issue History
Date Modified Username Field Change
2011-01-11 15:46 harris New Issue
2011-01-11 15:47 harris Relationship added related to 0002787
2011-01-11 15:49 harris Note Added: 0004878
2011-07-18 16:32 greg Assigned To => harris
2011-07-18 16:32 greg Status new => assigned
2011-09-13 15:20 harris SVN Revision# => NA
2011-09-13 15:20 harris Note Added: 0005330
2011-09-13 15:20 harris Status assigned => resolved
2011-09-13 15:20 harris Resolution open => duplicate
2012-06-12 14:56 greg Note Added: 0005597
2012-06-12 14:56 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker